## org.eclipse.mtj.example.library
Class DiscouragedAccessLibraryClass

    java.lang.Object
      org.eclipse.mtj.example.library.DiscouragedAccessLibraryClass

    public class DiscouragedAccessLibraryClass

extends java.lang.Object

This class is used as an example of the use of AccessRules to limit the access to classes from outside the library bundle.

The access to this class from outside the library bundle is Discouraged.

Author:
  Diego Madruga Sandin

Constructor Summary
`DiscouragedAccessLibraryClass()` Creates a new DiscouragedAccessLibraryClass.

Method Summary
`java.lang.String` `discouragedAccessMethod()` An discouraged access method from outside the library bundle.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscouragedAccessLibraryClass

    public DiscouragedAccessLibraryClass()

  Creates a new DiscouragedAccessLibraryClass.

Method Detail

### discouragedAccessMethod

    public java.lang.String discouragedAccessMethod()

  An discouraged access method from outside the library bundle.

  Returns:
    the `"The access to this method is discouraged."` string.